Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536746 - sys-devel/icecream-1.0.1 version bump
Summary: sys-devel/icecream-1.0.1 version bump
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-16 08:33 UTC by OGINO Masanori
Modified: 2017-12-29 21:02 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for icecream-1.0.1 (icecream-1.0.1-r1.ebuild,1.07 KB, text/plain)
2015-07-22 16:32 UTC, Oliver Jaksch
Details
updated init file (icecream-r2,1.90 KB, text/plain)
2015-07-22 16:33 UTC, Oliver Jaksch
Details
renewed ebuild (icecream-1.0.1-r1.ebuild,2.59 KB, text/plain)
2015-08-21 06:39 UTC, Oliver Jaksch
Details
patch to set CHOST symlinks (1.0.1-symlinks.patch,612 bytes, patch)
2015-08-21 06:39 UTC, Oliver Jaksch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description OGINO Masanori 2015-01-16 08:33:29 UTC
Icecream 1.0.1 was released on July 11, 2013.

SRC_URI is ftp://ftp.suse.com/pub/projects/icecream/icecc-1.0.1.tar.bz2

Reproducible: Always
Comment 1 Oliver Jaksch 2015-07-22 16:32:02 UTC
What a pity that I missed that. That was easy to refresh.
Ebuild is a copy of 1.0.0-r1, but I removed libcap-ng.patch as this was already fixed by suse.
Therefor I fixed the gentoo-init 'icecream-r2' as it hadn't respected the ICECREAM_ALLOW_REMOTE config option.
I ran some compile jobs in my mixed nix-cluster and this ebuild worked as normal.
Comment 2 Oliver Jaksch 2015-07-22 16:32:34 UTC
Created attachment 407422 [details]
ebuild for icecream-1.0.1
Comment 3 Oliver Jaksch 2015-07-22 16:33:01 UTC
Created attachment 407424 [details]
updated init file
Comment 4 Oliver Freyermuth 2015-08-20 18:31:02 UTC
It seems this new ebuild (like the latest one in tree) is also affected by:
https://bugs.gentoo.org/show_bug.cgi?id=465916
and as such not used by emerge (unless a previous version was installed), can you confirm / fix this? 

Thanks a lot!
Comment 5 Oliver Jaksch 2015-08-21 06:38:38 UTC
Cannot confirm this in general. I cleaned up the old /usr/lib/icecc directory centurys ago by hand as my icecc stopped working - I'm sure the day as icecc-1.0.0 arrived.
But you're right. In my /usr/libexec/icecc/bin there were some leftovers from november 2013:

x86_64-pc-linux-gnu-c++ -> /usr/bin/icecc
x86_64-pc-linux-gnu-g++ -> /usr/bin/icecc
x86_64-pc-linux-gnu-gcc -> /usr/bin/icecc

I deleted them manually, restartet icecream and did some emerges, but these were still compiling fine in my icecc cluster.
I agree with you that it would be helpful to point the user to PREROOT etc and to include the symlinks from CHOST as in version 0.9.7.
Said this I renewed this ebuild and included an according patch to address this. Someone with ARCH other than x86/x86_64 should check that the symlinks of CHOST are set correctly.



(In reply to Oliver Freyermuth from comment #4)
> It seems this new ebuild (like the latest one in tree) is also affected by:
> https://bugs.gentoo.org/show_bug.cgi?id=465916
> and as such not used by emerge (unless a previous version was installed),
> can you confirm / fix this? 
> 
> Thanks a lot!
Comment 6 Oliver Jaksch 2015-08-21 06:39:22 UTC
Created attachment 409716 [details]
renewed ebuild
Comment 7 Oliver Jaksch 2015-08-21 06:39:56 UTC
Created attachment 409718 [details, diff]
patch to set CHOST symlinks
Comment 8 Oliver Freyermuth 2017-08-27 00:26:52 UTC
The ebuild in-tree now seems to use dev-util/shadowman for the links. 

Also, icecream 1.1 has been released 8th August 2017.